release:
  image: registry.gitlab.com/mucky-pup/ci/phoenix-docker:latest
  interruptible: true
  stage: package
  artifacts:
    paths:
      - "_build/prod/rel/$BUILD_PATH"
  cache:
    key: release_package
    paths:
      - deps/
      - _build/
  dependencies:
    - nodejs
  only:
    - master
    - main
  except:
    - schedules
  variables:
    npm_config_cache: "$CI_PROJECT_DIR/.npm"
  before_script:
    - export PATH=$PWD/node_modules/.bin:$PATH
    - export RELEASE_LEVEL=production
    - export RELEASE_HASH=${CI_COMMIT_SHA:0:8}
  script:
    - mix deps.get --only prod
    - MIX_ENV=prod mix compile
    - cd assets && npm install && npm run deploy && cd ..
    - MIX_ENV=prod mix phx.digest
    - MIX_ENV=prod mix release --overwrite
    - MIX_ENV=prod mix deps.compile sentry --force
